package com.tofly.watermeter.custom.service.statisticanalysis;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface IQueryStatisticsService {

    Page<HashMap<String,String>> getEventQuery(Page page,String startDate, String endDate,String yhbh,String yhxm);

    Page getEventQueryDetail(Page page,String quertType, String startDate, String endDate, String khbh);

    List getHouseholdsQuery(List<HashMap<String,String>> queryData);

    Page<HashMap<String,String>> getHouseholdsDetail(Page page, String query);

}
